Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-09-22 13:222018-01-03 12:38
ReporterJONHMView Statuspublic 
Assigned Toinigosanchez 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision968e6fa0746d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036928: Emails sent by alerts contains information about other entities

DescriptionEmails sent by alerts contains information about other entities. For example when sending by Email an alert within the 'White Valley Group Admin', it also sends information about 'F&B Group Admin'
Steps To Reproduce1) Select 'White Valley Group Admin' role and open 'Client' window. Then select the 'White Valley Group Admin' record and switch to [Email Configuration] tab. Create a new record:
   smtp server: smtp.gmail.com
   smtp server account: your_account@openbravo.com
   smtp server address: your_account@openbravo.com
   password: your_password
   smtp authentication: Y
   smtp connection security: SSL
   smtp port: 465

2) Go to 'User' window and create a new user 'Test':
   On 'more information' set an Email
2.1) Give to the user access to 'The White Valley Group Admin' role

3) Open 'Alert' window and create a new alert the same as explained in the documentation for the client 'The White Valley Group':
http:/3.1) /wiki.openbravo.com/wiki/How_to_create_an_Alert
3.1) Ensures that query return data from the db
3.2) Switch to [Alert Recipient] tab and choose 'The White Valley Group Admin' role. Check on the 'Send Email' checkbox

4) Finally, open 'Process Request' window and create a new record:
   Process: Alert Process
   Timing: Run Immediately
4.1) Press button 'Schedule Process'

--> You will receive an Email with information about every Business Partners of every entities.
Proposed SolutionThe query should be filtered by default for the current client
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0037028 newplatform AlertProcess should be refactored 

-  Notes
(0099624)
inigosanchez (developer)
2017-09-27 11:01

Configure Google Account: Allowing less secure apps to access your account -> Allow less secure apps: ON
(0099696)
inigosanchez (developer)
2017-10-02 15:41

Attached the patch (issue36928_18q1.export) with the fix to be applied for the next release.
(0099760)
hgbot (developer)
2017-10-04 11:35

Repository: erp/devel/pi
Changeset: 968e6fa0746da351117fabfa7882bd42f936736e
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Oct 02 15:17:11 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/968e6fa0746da351117fabfa7882bd42f936736e [^]

Fixed bug 36928: Emails sent by alerts contains information about other clients

The problem was that emails sent by alerts contains information about other entities. For example, when sending
an alert by email within the 'White Valley Group Admin' client, it also sends information about 'F&B Group Admin'
client. The generation of the body of the email was filtering by organization but was not filtering by client too.

The problem has been resolved by take into account the client info properly. Now the data used in the generation
of the email is filtering properly.

---
M src/org/openbravo/erpCommon/ad_process/AlertProcess.java
---
(0099804)
alostale (developer)
2017-10-06 14:31

reviewed + tested
(0101317)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-22 13:22 JONHM New Issue
2017-09-22 13:22 JONHM Assigned To => platform
2017-09-22 13:22 JONHM Modules => Core
2017-09-22 13:22 JONHM Triggers an Emergency Pack => No
2017-09-22 13:25 JONHM Steps to Reproduce Updated View Revisions
2017-09-22 13:26 JONHM Steps to Reproduce Updated View Revisions
2017-09-26 17:12 inigosanchez Status new => scheduled
2017-09-26 17:12 inigosanchez Assigned To platform => inigosanchez
2017-09-27 10:19 inigosanchez Steps to Reproduce Updated View Revisions
2017-09-27 11:01 inigosanchez Note Added: 0099624
2017-10-02 15:41 inigosanchez Note Added: 0099696
2017-10-02 15:41 inigosanchez File Added: issue36928_18q1.export
2017-10-04 11:33 inigosanchez File Deleted: issue36928_18q1.export
2017-10-04 11:35 hgbot Checkin
2017-10-04 11:35 hgbot Note Added: 0099760
2017-10-04 11:35 hgbot Status scheduled => resolved
2017-10-04 11:35 hgbot Resolution open => fixed
2017-10-04 11:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/968e6fa0746da351117fabfa7882bd42f936736e [^]
2017-10-04 11:37 inigosanchez Review Assigned To => alostale
2017-10-06 14:31 alostale Note Added: 0099804
2017-10-06 14:31 alostale Status resolved => closed
2017-10-06 14:31 alostale Fixed in Version => 3.0PR18Q1
2017-10-09 09:19 inigosanchez Relationship added related to 0037028
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101317


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker